/paystack-transfers | Type: Application | PCID required: Yes
Tools
paystack_transfers_apple_pay_list_domain
List Domains Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
use_cursor | boolean | No | — | A flag to indicate if cursor based pagination should be used |
next | string | No | — | An alphanumeric value returned for every cursor based retrieval, used to retrieve the next set of data |
previous | string | No | — | An alphanumeric value returned for every cursor based retrieval, used to retrieve the previous set of data |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"use_cursor": {
"type": "boolean",
"description": "A flag to indicate if cursor based pagination should be used"
},
"next": {
"type": "string",
"description": "An alphanumeric value returned for every cursor based retrieval, used to retrieve the next set of data"
},
"previous": {
"type": "string",
"description": "An alphanumeric value returned for every cursor based retrieval, used to retrieve the previous set of data"
}
},
"required": [
"PCID"
]
}
paystack_transfers_apple_pay_register_domain
Register Domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domainName | string | Yes | — | The domain or subdomain for your application |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"domainName": {
"type": "string",
"description": "The domain or subdomain for your application"
}
},
"required": [
"PCID",
"domainName"
]
}
paystack_transfers_apple_pay_unregister_domain
Unregister Domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domainName | string | Yes | — | The domain or subdomain for your application |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"domainName": {
"type": "string",
"description": "The domain or subdomain for your application"
}
},
"required": [
"PCID",
"domainName"
]
}
paystack_transfers_balance_fetch
Fetch BalanceShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
paystack_transfers_balance_ledger
Balance Ledger Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
perPage | integer | No | — | Number of records to fetch per page |
page | integer | No | — | The section to retrieve |
from | string | No | — | The start date |
to | string | No | — | The end date |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"perPage": {
"type": "integer",
"description": "Number of records to fetch per page"
},
"page": {
"type": "integer",
"description": "The section to retrieve"
},
"from": {
"type": "string",
"description": "The start date"
},
"to": {
"type": "string",
"description": "The end date"
}
},
"required": [
"PCID"
]
}
paystack_transfers_bank_list
List Banks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
country | string | No | — | The country from which to obtain the list of supported banks |
currency | string | No | — | The country from which to obtain the list of supported banks |
use_cursor | boolean | No | — | A flag to indicate if cursor based pagination should be used |
perPage | integer | No | — | The number of records to fetch per request |
page | integer | No | — | The offset to retrieve data from |
next | string | No | — | An alphanumeric value returned for every cursor based retrieval, used to retrieve the next set of data |
previous | string | No | — | An alphanumeric value returned for every cursor based retrieval, used to retrieve the previous set of data |
pay_with_bank_transfer | boolean | No | — | A flag to filter for available banks a customer can make a transfer to complete a payment |
pay_with_bank | boolean | No | — | A flag to filter for banks a customer can pay directly from |
enabled_for_verification | boolean | No | — | A flag to filter the banks that are supported for account verification in South Africa. You need to combine this with either the currency or country filter. |
gateway | string | No | — | The type of gateway for a Nigerian bank |
type | string | No | — | Type of financial channel |
include_nip_sort_code | boolean | No | — | A flag that returns Nigerian banks with their NIP institution code. The returned value can be used in identifying institutions on NIP. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"country": {
"type": "string",
"description": "The country from which to obtain the list of supported banks",
"enum": [
"ghana",
"kenya",
"nigeria",
"south africa"
]
},
"currency": {
"type": "string",
"description": "The country from which to obtain the list of supported banks",
"enum": [
"GHS",
"KES",
"NGN",
"ZAR"
]
},
"use_cursor": {
"type": "boolean",
"description": "A flag to indicate if cursor based pagination should be used"
},
"perPage": {
"type": "integer",
"description": "The number of records to fetch per request"
},
"page": {
"type": "integer",
"description": "The offset to retrieve data from"
},
"next": {
"type": "string",
"description": "An alphanumeric value returned for every cursor based retrieval, used to retrieve the next set of data"
},
"previous": {
"type": "string",
"description": "An alphanumeric value returned for every cursor based retrieval, used to retrieve the previous set of data"
},
"pay_with_bank_transfer": {
"type": "boolean",
"description": "A flag to filter for available banks a customer can make a transfer to complete a payment"
},
"pay_with_bank": {
"type": "boolean",
"description": "A flag to filter for banks a customer can pay directly from"
},
"enabled_for_verification": {
"type": "boolean",
"description": "A flag to filter the banks that are supported for account verification in South Africa. You need to combine this with either the `currency` or `country` filter."
},
"gateway": {
"type": "string",
"description": "The type of gateway for a Nigerian bank",
"enum": [
"emandate",
"digitalbankmandate"
]
},
"type": {
"type": "string",
"description": "Type of financial channel",
"enum": [
"ghipps",
"mobile_money",
"nuban",
"kepss",
"basa"
]
},
"include_nip_sort_code": {
"type": "boolean",
"description": "A flag that returns Nigerian banks with their NIP institution code. The returned value can be used in identifying institutions on NIP."
}
},
"required": [
"PCID"
]
}
paystack_transfers_bank_resolve_account_number
Resolve Account Number Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_number | integer | No | — | The account number of interest |
bank_code | integer | No | — | The bank code associated with the account number |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"account_number": {
"type": "integer",
"description": "The account number of interest"
},
"bank_code": {
"type": "integer",
"description": "The bank code associated with the account number"
}
},
"required": [
"PCID"
]
}
paystack_transfers_bank_validate_account_number
Validate Bank Account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_name | string | Yes | — | Customer’s first and last name registered with their bank |
account_number | string | Yes | — | Customer’s account number |
account_type | string | Yes | — | The type of the customer’s account number |
bank_code | string | Yes | — | The bank code of the customer’s bank. You can fetch the bank codes by using our List Banks endpoint |
country_code | string | Yes | — | The two digit ISO code of the customer’s bank |
document_number | string | No | — | Customer’s mode of identity number |
document_type | string | Yes | — | Customer’s mode of identity |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"account_name": {
"type": "string",
"description": "Customer's first and last name registered with their bank"
},
"account_number": {
"type": "string",
"description": "Customer's account number"
},
"account_type": {
"type": "string",
"description": "The type of the customer's account number",
"enum": [
"personal",
"business"
]
},
"bank_code": {
"type": "string",
"description": "The bank code of the customer’s bank. You can fetch the bank codes by using our List Banks endpoint"
},
"country_code": {
"type": "string",
"description": "The two digit ISO code of the customer’s bank"
},
"document_number": {
"type": "string",
"description": "Customer’s mode of identity number"
},
"document_type": {
"type": "string",
"description": "Customer’s mode of identity",
"enum": [
"identityNumber",
"passportNumber",
"businessRegistrationNumber"
]
}
},
"required": [
"PCID",
"account_name",
"account_number",
"account_type",
"bank_code",
"country_code",
"document_type"
]
}
paystack_transfers_bulk_charge_charges
List Charges in a Batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | An code for the batch whose charges you want to retrieve |
perPage | integer | No | — | Number of records to fetch per page |
page | integer | No | — | The offset to retrieve data from |
status | string | No | — | Filter by the status of the charges |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "An code for the batch whose charges you want to retrieve"
},
"perPage": {
"type": "integer",
"description": "Number of records to fetch per page"
},
"page": {
"type": "integer",
"description": "The offset to retrieve data from"
},
"status": {
"type": "string",
"description": "Filter by the status of the charges",
"enum": [
"success",
"failed",
"pending",
"error",
"inactive_authorization"
]
}
},
"required": [
"PCID",
"code"
]
}
paystack_transfers_bulk_charge_fetch
Fetch Bulk Charge Batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The code for the charge whose batches you want to retrieve |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The code for the charge whose batches you want to retrieve"
}
},
"required": [
"PCID",
"code"
]
}
paystack_transfers_bulk_charge_initiate
Initiate Bulk Charge Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"authorization": {
"type": "string",
"description": "Customer's card authorization code"
},
"amount": {
"type": "integer",
"description": "Amount to charge on the authorization"
},
"reference": {
"type": "string",
"description": "A unique identifier containing lowercase letters `(a-z)`, digits `(0-9)` and these symbols: dash (`-`), underscore(`_`)"
},
"attempt_partial_debit": {
"type": "boolean",
"description": "A flag to indicate if you want us to try recouping lower amounts when the customer has insufficient fund"
},
"at_least": {
"type": "integer",
"description": "Minimum amount to charge if the attempt_partial_debit flag is set"
},
"metadata": {
"type": "object",
"description": "JSON object of custom data"
}
},
"required": [
"authorization",
"amount"
]
},
"description": "Request body"
}
},
"required": [
"PCID"
]
}
paystack_transfers_bulk_charge_list
List Bulk Charge Batches Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
perPage | integer | No | — | Number of records to fetch per page |
page | integer | No | — | The offset to retrieve data from |
status | string | No | — | Filter by the status of the charges |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"perPage": {
"type": "integer",
"description": "Number of records to fetch per page"
},
"page": {
"type": "integer",
"description": "The offset to retrieve data from"
},
"status": {
"type": "string",
"description": "Filter by the status of the charges",
"enum": [
"active",
"paused",
"complete"
]
}
},
"required": [
"PCID"
]
}
paystack_transfers_bulk_charge_pause
Pause Bulk Charge Batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The batch code for the bulk charge you want to pause |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The batch code for the bulk charge you want to pause"
}
},
"required": [
"PCID",
"code"
]
}
paystack_transfers_bulk_charge_resume
Resume Bulk Charge Batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The batch code for the bulk charge you want to pause |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The batch code for the bulk charge you want to pause"
}
},
"required": [
"PCID",
"code"
]
}
paystack_transfers_integration_fetch_payment_session_timeout
Fetch Payment Session TimeoutShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
paystack_transfers_integration_update_payment_session_timeout
Update Payment Session Timeout Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
timeout | integer | Yes | — | Time in seconds before a transaction becomes invalid |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"timeout": {
"type": "integer",
"description": "Time in seconds before a transaction becomes invalid"
}
},
"required": [
"PCID",
"timeout"
]
}
paystack_transfers_miscellaneous_avs
List States (AVS) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
country | string | No | — | The country code of the states to list. It is gotten after the charge request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"country": {
"type": "string",
"description": "The country code of the states to list. It is gotten after the charge request"
}
},
"required": [
"PCID"
]
}
paystack_transfers_miscellaneous_list_countries
List CountriesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
paystack_transfers_miscellaneous_resolve_card_bin
Resolve Card BIN Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
bin | integer | Yes | — | The card bank identification number |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"bin": {
"type": "integer",
"description": "The card bank identification number"
}
},
"required": [
"PCID",
"bin"
]
}
paystack_transfers_settlements_fetch
List Settlements Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
perPage | integer | No | — | The number of records to fetch per request |
page | integer | No | — | The offset to retrieve data from |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"perPage": {
"type": "integer",
"description": "The number of records to fetch per request"
},
"page": {
"type": "integer",
"description": "The offset to retrieve data from"
}
},
"required": [
"PCID"
]
}
paystack_transfers_settlements_transaction
Fetch Settlement Transactions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The settlement ID in which you want to fetch its transactions |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The settlement ID in which you want to fetch its transactions"
}
},
"required": [
"PCID",
"id"
]
}
paystack_transfers_split_add_subaccount
Add Subaccount to Split Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the split configuration to fetch |
share | integer | No | — | The percentage or flat quota of the customer or partner |
subaccount | string | No | — | Subaccount code of the customer or partner |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the split configuration to fetch"
},
"share": {
"type": "integer",
"description": "The percentage or flat quota of the customer or partner"
},
"subaccount": {
"type": "string",
"description": "Subaccount code of the customer or partner"
}
},
"required": [
"PCID",
"id"
]
}
paystack_transfers_split_create
Create Split Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
bearer_subaccount | string | No | — | This is the subaccount code of the customer or partner that would bear the transaction charge if you specified subaccount as the bearer type |
bearer_type | string | No | — | This allows you specify how the transaction charge should be processed |
currency | string | Yes | — | The transaction currency |
name | string | Yes | — | Name of the transaction split |
subaccounts | object[] | Yes | — | A list of object containing subaccount code and number of shares |
type | string | Yes | — | The type of transaction split you want to create. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"bearer_subaccount": {
"type": "string",
"description": "This is the subaccount code of the customer or partner that would bear the transaction charge if you specified subaccount as the bearer type"
},
"bearer_type": {
"type": "string",
"description": "This allows you specify how the transaction charge should be processed",
"enum": [
"subaccount",
"account",
"all-proportional",
"all"
]
},
"currency": {
"type": "string",
"description": "The transaction currency",
"enum": [
"NGN",
"GHS",
"ZAR",
"USD"
]
},
"name": {
"type": "string",
"description": "Name of the transaction split"
},
"subaccounts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"subaccount": {
"type": "string",
"description": "Subaccount code of the customer or partner"
},
"share": {
"type": "integer",
"description": "The percentage or flat quota of the customer or partner"
}
}
},
"description": "A list of object containing subaccount code and number of shares"
},
"type": {
"type": "string",
"description": "The type of transaction split you want to create.",
"enum": [
"percentage",
"flat"
]
}
},
"required": [
"PCID",
"currency",
"name",
"subaccounts",
"type"
]
}
paystack_transfers_split_fetch
Fetch Split Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the split configuration to fetch |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the split configuration to fetch"
}
},
"required": [
"PCID",
"id"
]
}
paystack_transfers_split_list
List Splits Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
subaccount_code | string | No | — | Filter by subaccount code |
name | string | No | — | The name of the split |
active | boolean | No | — | The status of the split |
per_page | integer | No | — | The number of records to fetch per request |
page | integer | No | — | The offset to retrieve data from |
from | string | No | — | The start date |
to | string | No | — | The end date |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"subaccount_code": {
"type": "string",
"description": "Filter by subaccount code"
},
"name": {
"type": "string",
"description": "The name of the split"
},
"active": {
"type": "boolean",
"description": "The status of the split"
},
"per_page": {
"type": "integer",
"description": "The number of records to fetch per request"
},
"page": {
"type": "integer",
"description": "The offset to retrieve data from"
},
"from": {
"type": "string",
"description": "The start date"
},
"to": {
"type": "string",
"description": "The end date"
}
},
"required": [
"PCID"
]
}
paystack_transfers_split_remove_subaccount
Remove Subaccount from split Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the split configuration to fetch |
share | integer | No | — | The percentage or flat quota of the customer or partner |
subaccount | string | No | — | Subaccount code of the customer or partner |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the split configuration to fetch"
},
"share": {
"type": "integer",
"description": "The percentage or flat quota of the customer or partner"
},
"subaccount": {
"type": "string",
"description": "Subaccount code of the customer or partner"
}
},
"required": [
"PCID",
"id"
]
}
paystack_transfers_split_update
Update Split Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The id value |
active | boolean | No | — | Toggle status of split. When true, the split is active, else it’s inactive |
bearer_subaccount | string | No | — | This is the subaccount code of the customer or partner that would bear the transaction charge if you specified subaccount as the bearer type |
bearer_type | string | No | — | This allows you specify how the transaction charge should be processed |
name | string | No | — | Name of the transaction split |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The id value"
},
"active": {
"type": "boolean",
"description": "Toggle status of split. When true, the split is active, else it's inactive"
},
"bearer_subaccount": {
"type": "string",
"description": "This is the subaccount code of the customer or partner that would bear the transaction charge if you specified subaccount as the bearer type"
},
"bearer_type": {
"type": "string",
"description": "This allows you specify how the transaction charge should be processed",
"enum": [
"subaccount",
"account",
"all-proportional",
"all"
]
},
"name": {
"type": "string",
"description": "Name of the transaction split"
}
},
"required": [
"PCID",
"id"
]
}
paystack_transfers_transfer_bulk
Initiate Bulk Transfer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
currency | string | No | — | Specify the currency of the transfer. |
source | string | Yes | — | The source of funds for the transfer. |
transfers | object[] | Yes | — | A list of transfer object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"currency": {
"type": "string",
"description": "Specify the currency of the transfer.",
"enum": [
"NGN",
"ZAR",
"KES",
"GHS"
]
},
"source": {
"type": "string",
"description": "The source of funds for the transfer."
},
"transfers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"amount": {
"type": "integer",
"description": "Amount to transfer in kobo if currency is NGN and pesewas if currency is GHS."
},
"recipient": {
"type": "string",
"description": "The transfer recipient's code"
},
"reference": {
"type": "string",
"description": "To ensure idempotency, you need to provide e a unique identifier for the request. The identifier should be a lowercase alphanumeric string with only -,_ symbols allowed."
},
"reason": {
"type": "string",
"description": "The reason or narration for the transfer."
}
},
"required": [
"amount",
"recipient",
"reference"
]
},
"description": "A list of transfer object"
}
},
"required": [
"PCID",
"source",
"transfers"
]
}
paystack_transfers_transfer_disable_otp
Disable OTP for TransfersShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
paystack_transfers_transfer_disable_otp_finalize
Finalize Disabling OTP for Transfers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
otp | string | Yes | — | OTP sent to business phone to verify disabling OTP requirement |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"otp": {
"type": "string",
"description": "OTP sent to business phone to verify disabling OTP requirement"
}
},
"required": [
"PCID",
"otp"
]
}
paystack_transfers_transfer_enable_otp
Enable OTP requirement for TransfersShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
paystack_transfers_transfer_export_transfer
Export Transfers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
recipient | string | No | — | Export transfer by the recipient code |
status | string | No | — | Export transfer by status |
from | string | No | — | The start date |
to | string | No | — | The end date |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"recipient": {
"type": "string",
"description": "Export transfer by the recipient code"
},
"status": {
"type": "string",
"description": "Export transfer by status",
"enum": [
"pending",
"success",
"failed",
"otp",
"abandoned",
"reversed",
"blocked",
"rejected",
"received"
]
},
"from": {
"type": "string",
"description": "The start date"
},
"to": {
"type": "string",
"description": "The end date"
}
},
"required": [
"PCID"
]
}
paystack_transfers_transfer_fetch
Fetch Transfer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | Transfer code |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "Transfer code"
}
},
"required": [
"PCID",
"code"
]
}
paystack_transfers_transfer_finalize
Finalize Transfer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
otp | string | Yes | — | OTP sent to business phone to verify transfer |
transfer_code | string | Yes | — | The transfer code you want to finalize |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"otp": {
"type": "string",
"description": "OTP sent to business phone to verify transfer"
},
"transfer_code": {
"type": "string",
"description": "The transfer code you want to finalize"
}
},
"required": [
"PCID",
"otp",
"transfer_code"
]
}
paystack_transfers_transfer_initiate
Initiate Transfer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
amount | integer | Yes | — | Amount to transfer in kobo if currency is NGN and pesewas if currency is GHS. |
currency | string | No | — | Specify the currency of the transfer. |
reason | string | No | — | The reason or narration for the transfer. |
recipient | string | Yes | — | The transfer recipient’s code |
reference | string | Yes | — | To ensure idempotency, you need to provide e a unique identifier for the request. The identifier should be a lowercase alphanumeric string with only -,_ symbols allowed. |
source | string | Yes | — | The source of funds to send from |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"amount": {
"type": "integer",
"description": "Amount to transfer in kobo if currency is NGN and pesewas if currency is GHS."
},
"currency": {
"type": "string",
"description": "Specify the currency of the transfer.",
"enum": [
"NGN",
"ZAR",
"KES",
"GHS"
]
},
"reason": {
"type": "string",
"description": "The reason or narration for the transfer."
},
"recipient": {
"type": "string",
"description": "The transfer recipient's code"
},
"reference": {
"type": "string",
"description": "To ensure idempotency, you need to provide e a unique identifier for the request. The identifier should be a lowercase alphanumeric string with only -,_ symbols allowed."
},
"source": {
"type": "string",
"description": "The source of funds to send from"
}
},
"required": [
"PCID",
"amount",
"recipient",
"reference",
"source"
]
}
paystack_transfers_transfer_list
List Transfers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
use_cursor | boolean | No | — | A flag to indicate if cursor based pagination should be used |
next | string | No | — | An alphanumeric value returned for every cursor based retrieval, used to retrieve the next set of data |
previous | string | No | — | An alphanumeric value returned for every cursor based retrieval, used to retrieve the previous set of data |
per_page | integer | No | — | The number of records to fetch per request |
page | integer | No | — | The offset to retrieve data from |
from | string | No | — | The start date |
to | string | No | — | The end date |
recipient | string | No | — | Filter transfer by the recipient code |
status | string | No | — | Filter transfer by status |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"use_cursor": {
"type": "boolean",
"description": "A flag to indicate if cursor based pagination should be used"
},
"next": {
"type": "string",
"description": "An alphanumeric value returned for every cursor based retrieval, used to retrieve the next set of data"
},
"previous": {
"type": "string",
"description": "An alphanumeric value returned for every cursor based retrieval, used to retrieve the previous set of data"
},
"per_page": {
"type": "integer",
"description": "The number of records to fetch per request"
},
"page": {
"type": "integer",
"description": "The offset to retrieve data from"
},
"from": {
"type": "string",
"description": "The start date"
},
"to": {
"type": "string",
"description": "The end date"
},
"recipient": {
"type": "string",
"description": "Filter transfer by the recipient code"
},
"status": {
"type": "string",
"description": "Filter transfer by status",
"enum": [
"pending",
"success",
"failed",
"otp",
"abandoned",
"reversed",
"blocked",
"rejected",
"received"
]
}
},
"required": [
"PCID"
]
}
paystack_transfers_transfer_resend_otp
Resend OTP for Transfer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
reason | string | Yes | — | Specify the flag to indicate the purpose of the OTP |
transfer_code | string | Yes | — | The transfer code that requires an OTP validation |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"reason": {
"type": "string",
"description": "Specify the flag to indicate the purpose of the OTP",
"enum": [
"disable_otp",
"resend_otp",
"transfer"
]
},
"transfer_code": {
"type": "string",
"description": "The transfer code that requires an OTP validation"
}
},
"required": [
"PCID",
"reason",
"transfer_code"
]
}
paystack_transfers_transfer_verify
Verify Transfer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
reference | string | Yes | — | Transfer reference |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"reference": {
"type": "string",
"description": "Transfer reference"
}
},
"required": [
"PCID",
"reference"
]
}
paystack_transfers_transferrecipient_bulk
Bulk Create Transfer Recipient Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
batch | object[] | Yes | — | A list of transfer recipient object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"batch": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"nuban",
"ghipss",
"mobile_money",
"basa",
"authorization"
],
"description": "Recipient Type"
},
"name": {
"type": "string",
"description": "The recipient's name according to their account registration."
},
"account_number": {
"type": "string",
"description": "Recipient's bank account number"
},
"bank_code": {
"type": "string",
"description": "Recipient's bank code. You can get the list of Bank Codes by calling the List Banks endpoint"
},
"description": {
"type": "string",
"description": "A description for this recipient"
},
"currency": {
"type": "string",
"description": "Currency for the account receiving the transfer"
},
"authorization_code": {
"type": "string",
"description": "An authorization code from a previous transaction"
},
"metadata": {
"type": "object",
"description": "JSON object of custom data"
}
},
"required": [
"type",
"name",
"account_number",
"bank_code"
]
},
"description": "A list of transfer recipient object."
}
},
"required": [
"PCID",
"batch"
]
}
paystack_transfers_transferrecipient_create
Create Transfer Recipient Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_number | string | Yes | — | Recipient’s bank account number |
authorization_code | string | No | — | An authorization code from a previous transaction |
bank_code | string | Yes | — | Recipient’s bank code. You can get the list of Bank Codes by calling the List Banks endpoint |
currency | string | No | — | Currency for the account receiving the transfer |
description | string | No | — | A description for this recipient |
metadata | object | No | — | JSON object of custom data |
name | string | Yes | — | The recipient’s name according to their account registration. |
type | string | Yes | — | Recipient Type |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"account_number": {
"type": "string",
"description": "Recipient's bank account number"
},
"authorization_code": {
"type": "string",
"description": "An authorization code from a previous transaction"
},
"bank_code": {
"type": "string",
"description": "Recipient's bank code. You can get the list of Bank Codes by calling the List Banks endpoint"
},
"currency": {
"type": "string",
"description": "Currency for the account receiving the transfer"
},
"description": {
"type": "string",
"description": "A description for this recipient"
},
"metadata": {
"type": "object",
"description": "JSON object of custom data"
},
"name": {
"type": "string",
"description": "The recipient's name according to their account registration."
},
"type": {
"type": "string",
"description": "Recipient Type",
"enum": [
"nuban",
"ghipss",
"mobile_money",
"basa",
"authorization"
]
}
},
"required": [
"PCID",
"account_number",
"bank_code",
"name",
"type"
]
}
paystack_transfers_transferrecipient_delete
Delete Transfer Recipient Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | Transfer recipient code |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "Transfer recipient code"
}
},
"required": [
"PCID",
"code"
]
}
paystack_transfers_transferrecipient_fetch
Fetch Transfer recipient Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | Transfer recipient code |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "Transfer recipient code"
}
},
"required": [
"PCID",
"code"
]
}
paystack_transfers_transferrecipient_list
List Transfer Recipients Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
use_cursor | boolean | No | — | A flag to indicate if cursor based pagination should be used |
next | string | No | — | An alphanumeric value returned for every cursor based retrieval, used to retrieve the next set of data |
previous | string | No | — | An alphanumeric value returned for every cursor based retrieval, used to retrieve the previous set of data |
per_page | integer | No | — | The number of records to fetch per request |
page | integer | No | — | The offset to retrieve data from |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"use_cursor": {
"type": "boolean",
"description": "A flag to indicate if cursor based pagination should be used"
},
"next": {
"type": "string",
"description": "An alphanumeric value returned for every cursor based retrieval, used to retrieve the next set of data"
},
"previous": {
"type": "string",
"description": "An alphanumeric value returned for every cursor based retrieval, used to retrieve the previous set of data"
},
"per_page": {
"type": "integer",
"description": "The number of records to fetch per request"
},
"page": {
"type": "integer",
"description": "The offset to retrieve data from"
}
},
"required": [
"PCID"
]
}
paystack_transfers_transferrecipient_update
Update Transfer Recipient Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | Transfer recipient code |
email | string | No | — | Recipient’s email address |
name | string | No | — | Recipient’s name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "Transfer recipient code"
},
"email": {
"type": "string",
"description": "Recipient's email address"
},
"name": {
"type": "string",
"description": "Recipient's name"
}
},
"required": [
"PCID",
"code"
]
}

